/*
******************************************************************
Default und Custom CSS for Module Form

(c) sinntun.codes
******************************************************************
*/


/*****************************************************************
**** defaultform
******************************************************************/

.defaultform {
}


/*** form-info / form-error
******************************************************************/

.form-info {
    margin-bottom: 1.25rem;
}

.form-error p {
    padding: 0.75rem;
    border: 0.125rem solid #ff0000;
    display: block;
    margin-bottom: 1.25rem;
}


.form-row input.error {
    border: 0.125rem solid #B00020 !important;
}

.form-row select.error {
    border: 0.125rem solid #B00020 !important;
}

.form-row textarea.error {
    border: 0.125rem solid #B00020 !important;
}

.form-row:has(.error) > label,
.form-row:has(.error) > legend {
    color: #B00020;
}


/*****************************************************************
**** form-rows
******************************************************************/

.form-row {
    margin-bottom: 1.25rem;
    width: 100%;
}


/*****************************************************************
**** FormElements
******************************************************************/

.form-row label {
    float: left;
    padding: 0.4rem 0;
}

/* honeypot */
.form-row.email,
.form-row.email2,
.form-row.mailmail,
.form-row.no-display {
    display: none;
}


/*** text, textarea
******************************************************************/

.defaultform textarea {
    display: block;
    border: solid 0.125rem #e0e0e0;
    padding: 0.9375rem;
    color: #000;
    font-size: 1rem;
    font-family: 'Open Sans', sans-serif;
    /*width: 22.5625rem;*/
    width: 100%;
    height: 10rem;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    resize: vertical;
    border-radius: 0.625rem;
}

.defaultform .textbox,
.defaultform .selectbox {
    display: block;
    width: 100%;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    border: solid 0.125rem #e0e0e0;
    padding: 0.9375rem;
    font-size: 1rem;
    color: #000;
    font-family: 'Open Sans', sans-serif;
    background: #fff;
    border-radius: 0.625rem;
}

.defaultform textarea:focus-visible,
.defaultform textarea:focus-visible,
.defaultform .textbox:focus-visible,
.defaultform select:focus-visible {
    outline: var(--outline-default);
    outline-offset: var(--outline-offset-default);
}

.form-row.message textarea {
    width: 100%;
    clear: both;
}


/*** selectbox
******************************************************************/

.defaultform .form-select select {
    display: inline-block;
    padding: 0.9375rem;
    width: 100%;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    margin-bottom: 1.25rem;
    border: 0.0625rem solid #000;
    font-size: 1rem;
    appearance: none;
    background: url('/_images/select.svg') no-repeat #fff;
    background-size: auto;
    background-size: 1.375rem;
    background-position: calc(100% - 0.625rem);
}


/*** checkbox
******************************************************************/
.checkbox-wrapper input:focus-visible {
    outline: none !important;
}

.checkbox-wrapper:has(input[type='checkbox']:focus) {
    outline: var(--outline-default);
    outline-offset: var(--outline-offset-default);
}

.checkbox-wrapper {
    width: fit-content;
    display: flex;
    gap: 0.5000rem;
    align-items: start;
}

.checkbox-wrapper input {
    top: 0.75rem;
    position: relative;
}

.checkbox-wrapper label a:focus-visible {
    outline: var(--outline-default);
    outline-offset: var(--outline-offset-default);
}

/*** radiobuttons
******************************************************************/

.form-row input[type='radio'] {
    margin: 0.3125rem 0.3125rem 0 0;
    height: 1.25rem;
}

.radiobutton-wrapper label {
    width: 5rem;
}

.radiobuttons-wrapper input {
    float: left;
}

.radiobuttons-wrapper.rows {
    display: block;
    width: 37.5rem;
    float: left;
}

.radiobuttons-wrapper.rows .radiobutton-wrapper {
    display: blocK;
    clear: both;
    float: none;
}

.radiobuttons-wrapper.rows .radiobutton-wrapper label {
    max-width: 34.375rem;
}


/*** .postcode and place in one line
******************************************************************/

.form-row.postcode-place label {
    float: left;
    width: auto;
}

.form-row .form-postcode-place-label {
    float: left;
    width: 12.5rem;
}

.form-row .form-postcode-place-label span {
    float: left;
    margin-top: 0.3125rem;
}

.form-row .form-postcode-place-input-wrapper {
    width: 100%;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    overflow: hidden;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
}

.form-row .form-postcode-input,
.form-row .form-place-input {
    display: block;
    overflow: hidden;
}

.form-row .form-postcode-input {
    width: 100%;

}

.form-row .form-place-input {
    width: 100%;
    padding-left: 0.5rem;
}

.form-row .form-postcode-input .textbox {
    width: 100% !important;
}

.form-row .form-place-input .textbox {
    width: 100% !important;
}

/*** .dateselector
******************************************************************/

.dateselector_day {
    width: 3.4375rem;
}

.dateselector_month {
    width: 3.4375rem;
}

.dateselector_year {
    width: 6.875rem;
}

/* .dateselector_monthyear used in DateSelector2 */
.dateselector_monthyear {
    width: 12.5rem;
}

.dateselector_textbox_day {
    width: 3.4375rem;
}

.dateselector_textbox_month {
    width: 3.4375rem;
}

.dateselector_textbox_year {
    width: 6.875rem;
}

.datetimeselector_day {
    width: 3.4375rem;
}

.datetimeselector_month {
    width: 3.4375rem;
}

.datetimeselector_year {
    width: 6.875rem;
}

.datetimeselector_hour {
    width: 6.875rem;
}

.datetimeselector_minute {
    width: 6.875rem;
}


/*** captcha
******************************************************************/
.form-row.captcha div {
    display: flex;
    flex-direction: column;
}

.form-row.captcha div img {
    max-width: 18.75rem;
    margin-bottom: 0.5rem;
}

.form-row.captcha div input {
    width: 100%;
    max-width: 18.75rem;
}


/*** dataprotection
******************************************************************/
.form-row.dataprotection p a {
    font-weight: bold;
    text-decoration: underline;
}

.form-row.dataprotection p a:hover {
    text-decoration-thickness: 0.125rem;
}

/* upload */
.defaultform .form-row .imageupload {
    width: 100%;
}

.defaultform .form-row .imageupload td:first-child {
    display: none;
}

/*** submit
******************************************************************/

.defaultform .form-submit-container {
    display: block;
    margin-top: 1.5625rem;
}

.defaultform .button-submit {
    background: var(--color-primary);
    color: #fff;
    padding: 0.75rem 5rem;
    border-radius: 0.3125rem;
    border: none;
    font-size: 1.125rem;
    cursor: pointer;
}

.defaultform .button-submit:hover {
    text-decoration: none;
    opacity: 1;
}

@media (max-width: 64rem) {
    .defaultform .button-submit {
        min-width: initial;
        width: 100%;
    }
}

@media only screen and (max-width: 32.5rem) {
    .radiobutton-wrapper label {
        width: unset;
        max-width: 100%;
    }
}
